> ## Documentation Index
> Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Fine-tuning Job

> Get info about a fine-tuning job.



## OpenAPI

````yaml /gateway-openapi.json get /fine_tuning/jobs/{fine_tuning_job_id}
openapi: 3.0.0
info:
  title: LLM Gateway
  description: API for LLM Gateway
  version: 1.0.0
servers:
  - url: https://{gatewayBaseURL}
    variables:
      gatewayBaseURL:
        default: gateway.truefoundry.ai
        description: Gateway base URL
    description: Gateway base URL
security:
  - AuthorizationBearer: []
tags:
  - name: Chat
  - name: Agent
  - name: Messages
  - name: MCP
  - name: Embeddings
  - name: Rerank
  - name: Responses
  - name: Image
  - name: Audio
  - name: Batch
  - name: Files
  - name: Fine-tuning
  - name: Moderations
  - name: Models
paths:
  /fine_tuning/jobs/{fine_tuning_job_id}:
    get:
      tags:
        - Fine-tuning
      summary: Retrieve Fine-tuning Job
      description: Get info about a fine-tuning job.
      parameters:
        - schema:
            type: string
            description: The ID of the fine-tuning job
          required: true
          name: fine_tuning_job_id
          in: path
        - schema:
            type: string
            description: Optional metadata for the request
          required: false
          name: x-tfy-metadata
          in: header
        - schema:
            type: string
            description: Name of the provider
          required: false
          name: x-tfy-provider-name
          in: header
        - schema:
            type: string
            description: Vertex AI storage bucket name
          required: false
          name: x-tfy-vertex-storage-bucket-name
          in: header
        - schema:
            type: string
            description: Provider-specific model identifier
          required: false
          name: x-tfy-provider-model
          in: header
        - schema:
            type: string
            description: Purpose for the file upload (e.g., fine-tune)
          required: false
          name: x-tfy-file-purpose
          in: header
      responses:
        '200':
          description: Fine-tuning job retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    enum:
                      - fine_tuning.job
                    description: The object type
                  id:
                    type: string
                    description: The fine-tuning job ID
                  model:
                    type: string
                    description: The model being fine-tuned
                  created_at:
                    type: integer
                    description: The Unix timestamp when the job was created
                  finished_at:
                    type: integer
                    nullable: true
                    description: The Unix timestamp when the job finished
                  fine_tuned_model:
                    type: string
                    nullable: true
                    description: Name of the resulting fine-tuned model.
                  organization_id:
                    type: string
                    description: The organization that owns the fine-tuning job
                  result_files:
                    type: array
                    items:
                      type: string
                    description: The compiled results files for the fine-tuning job
                  status:
                    type: string
                    enum:
                      - queued
                      - running
                      - succeeded
                      - failed
                      - cancelled
                    description: The current status of the fine-tuning job
                  validation_file:
                    type: string
                    nullable: true
                    description: The file ID used for validation
                  training_file:
                    type: string
                    description: The file ID used for training
                  hyperparameters:
                    type: object
                    nullable: true
                    properties: {}
                    description: The hyperparameters used for the fine-tuning job
                  trained_tokens:
                    type: integer
                    nullable: true
                    description: The total number of tokens used for training
                  integrations:
                    type: array
                    nullable: true
                    items:
                      type: object
                      properties: {}
                    description: A list of integrations enabled for the fine-tuning job
                  seed:
                    type: integer
                    nullable: true
                    description: The seed used for the fine-tuning job
                  estimated_finish:
                    type: integer
                    nullable: true
                    description: The estimated finish timestamp for the job
                  method:
                    type: object
                    nullable: true
                    properties: {}
                    description: The method used for fine-tuning
                  metadata:
                    type: object
                    nullable: true
                    additionalProperties:
                      type: string
                    description: >-
                      Set of 16 key-value pairs that can be attached to an
                      object
                required:
                  - object
                  - id
                  - model
                  - created_at
                  - fine_tuned_model
                  - organization_id
                  - result_files
                  - status
                  - validation_file
                  - training_file
        '400':
          description: Bad request - Invalid parameters
        '401':
          description: Unauthorized
        '404':
          description: Fine-tuning job not found
        '429':
          description: Too many requests - Rate limit exceeded
        '500':
          description: Internal server error
components:
  securitySchemes:
    AuthorizationBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````